MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Friends
IdleMonitor Class Referenceabstract

An event that runs when the EventLoop has become idle, before waiting for more events. More...

`#include <IdleMonitor.hxx>`

Inheritance diagram for IdleMonitor:
[legend]

## Public Member Functions
| IdleMonitor (EventLoop &_loop)
| ~IdleMonitor ()
EventLoop & | GetEventLoop () const
bool | IsActive () const
void | Schedule ()
void | Cancel ()

## Protected Member Functions
virtual void | OnIdle ()=0

## Friends
class | EventLoop

## Detailed Description

An event that runs when the EventLoop has become idle, before waiting for more events.

This class is not thread-safe, all methods must be called from the thread that runs the EventLoop, except where explicitly documented as thread-safe.

Definition at line 35 of file IdleMonitor.hxx.

## Constructor & Destructor Documentation

IdleMonitor::IdleMonitor | ( | EventLoop & | _loop | ) |
| inline

Definition at line 43 of file IdleMonitor.hxx.

IdleMonitor::~IdleMonitor | ( |  | ) |
| inline

Definition at line 46 of file IdleMonitor.hxx.

## Member Function Documentation

void IdleMonitor::Cancel | ( |  | ) |

EventLoop& IdleMonitor::GetEventLoop | ( |  | ) | const
| inline

Definition at line 55 of file IdleMonitor.hxx.

bool IdleMonitor::IsActive | ( |  | ) | const
| inline

Definition at line 59 of file IdleMonitor.hxx.

virtual void IdleMonitor::OnIdle | ( |  | ) |
| protected pure virtual

Implemented in FullyBufferedSocket.

void IdleMonitor::Schedule | ( |  | ) |

## Friends And Related Function Documentation

friend class EventLoop
| friend

Definition at line 36 of file IdleMonitor.hxx.

The documentation for this class was generated from the following file:

- event/IdleMonitor.hxx